<?php
vc_map(array(
    "name"        => __("Edge Slider", "mk_framework"),
    "base"        => "mk_edge_slider",
    'icon'        => 'icon-mk-edge-slider vc_mk_element-icon',
    "category"    => __('Slideshows', 'mk_framework'),
    'description' => __('Powerful Edge Slider.', 'mk_framework'),
    "params"      => array(
        array(
            "type"        => "toggle",
            "heading"     => __("First Element?", "mk_framework"),
            "param_name"  => "first_el",
            "value"       => "true",
            "description" => __("If you are not using this slideshow as first element in content then disable this option. This option only useful when Transparent Header style is enabled in this page, having this option enabled will allow the header skin follow slide item's => header skin.", "mk_framework"),
        ),
         array(
            'type'        => 'autocomplete',
            'heading'     => __( 'Select Specific Slides', 'mk_framework' ),
            'param_name'  => 'slides',
            'settings' => array(
                                'multiple' => true,
                                'sortable' => true,
                                'unique_values' => true,
                            ),
            'description' => __( 'Search for post ID or post title to get autocomplete suggestions', 'mk_framework' ),
        ),
        array(
            "heading"     => __("Order", 'mk_framework'),
            "description" => __("Designates the ascending or descending order of the 'orderby' parameter.", 'mk_framework'),
            "param_name"  => "order",
            "value"       => array(
                __("DESC (descending order)", 'mk_framework') => "DESC",
                __("ASC (ascending order)", 'mk_framework')   => "ASC",
            ),
            "type"        => "dropdown",
        ),
        array(
            "heading"     => __("Orderby", 'mk_framework'),
            "description" => __("Sort retrieved slides items by parameter.", 'mk_framework'),
            "param_name"  => "orderby",
            "value"       => $mk_orderby,
            "type"        => "dropdown",
        ),
        array(
            "type"        => "toggle",
            "heading"     => __("Full Height?", "mk_framework"),
            "param_name"  => "full_height",
            "value"       => "true",
            "description" => __("If you dont want full screen height slideshow disable this option. If you disable this option set the height of slideshow using below option.", "mk_framework"),
        ),
        array(
            "type"        => "range",
            "heading"     => __("Slideshow Height", "mk_framework"),
            "param_name"  => "height",
            "value"       => "700",
            "min"         => "100",
            "max"         => "2000",
            "step"        => "1",
            "unit"        => 'px',
            "description" => __("This option only works when above option is disabled.", "mk_framework"),
        ),
        array(
            "heading"     => __("Animation Effect", 'mk_framework'),
            "description" => __("Note that Horizontal Curtain is reverted to Slide effect for Internet Explorer.", 'mk_framework'),
            "param_name"  => "animation_effect",
            "value"       => array(
                __("Slide", 'mk_framework')              => "slide",
                __("Slide Vertical", 'mk_framework')     => "vertical_slide",
                __("Zoom", 'mk_framework')               => "zoom",
                __("Zoom Out", 'mk_framework')           => "zoom_out",
                __("Horizontal Curtain", 'mk_framework') => "horizontal_curtain",
                __("Fade", 'mk_framework')               => "fade",
                __("Perspective Flip", 'mk_framework')   => "perspective_flip",
            ),
            "type"        => "dropdown",
        ),
        array(
            "type"        => "range",
            "heading"     => __("Animation Speed", "mk_framework"),
            "param_name"  => "animation_speed",
            "value"       => "700",
            "min"         => "100",
            "max"         => "3000",
            "step"        => "1",
            "unit"        => 'ms',
            "description" => __("", "mk_framework"),
        ),
        array(
            "type"        => "range",
            "heading"     => __("Pause Time", "mk_framework"),
            "param_name"  => "slideshow_speed",
            "value"       => "7000",
            "min"         => "1000",
            "max"         => "20000",
            "step"        => "1",
            "unit"        => 'ms',
            "description" => __("How long each slide will show.", "mk_framework"),
        ),

        array(
            "type"        => "dropdown",
            "heading"     => __("Direction Nav", "mk_framework"),
            "param_name"  => "direction_nav",
            "width"       => 300,
            "value"       => array(
                __('Classic', "mk_framework")          => "classic",
                __('Bar', "mk_framework")              => "bar",
                __('Round', "mk_framework")            => "round",
                __('Flip', "mk_framework")             => "flip",
                __('-- No Pagination', "mk_framework") => "false",
            ),
            "description" => __("", "mk_framework"),
        ),

        array(
            "type"        => "dropdown",
            "heading"     => __("Pagination", "mk_framework"),
            "param_name"  => "pagination",
            "width"       => 300,
            "value"       => array(
                __('-- No Pagination', "mk_framework")  => "",
                __('Small Stroke', "mk_framework")      => "small_stroke",
                __('Rounded Underline', "mk_framework") => "rounded",
                __('Underline', "mk_framework")         => "underline",
                __('Square', "mk_framework")            => "square",

            ),
            "description" => __("", "mk_framework"),
        ),
        array(
            "type"        => "toggle",
            "heading"     => __("Parallax", "mk_framework"),
            "param_name"  => "parallax",
            "value"       => "false",
            "description" => __("Add parallax effect to your slider", "mk_framework"),
        ),
        array(
            "type"        => "toggle",
            "heading"     => __("Loop?", "mk_framework"),
            "param_name"  => "edge_slider_loop",
            "value"       => "false",
            "description" => __("", "mk_framework"),
        ),
        $add_device_visibility,
        array(
            "type"        => "textfield",
            "heading"     => __("Extra class name", "mk_framework"),
            "param_name"  => "el_class",
            "value"       => "",
            "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in Custom CSS Shortcode or Masterkey Custom CSS option.", "mk_framework"),
        ),

    ),
));