<?php
vc_map(array(
    "name"            => __("Content Scroller", "mk_framework"),
    "base"            => "vc_content_scroller",
    "as_parent"       => array('only' => 'vc_content_scroller_item'),
    "content_element" => true,
    'icon'            => 'icon-mk-image-slideshow vc_mk_element-icon',
    "category"        => __('Slideshows', 'mk_framework'),
    'description'     => __('Swiper enabled content slideshow.', 'mk_framework'),
    "params"          => array(
        array(
            "type"        => "colorpicker",
            "heading"     => __("Border Top and Bottom Color", "mk_framework"),
            "param_name"  => "border_color",
            "value"       => "#eee",
            "description" => __("", "mk_framework"),
        ),
        array(
            "type"        => "colorpicker",
            "heading"     => __("Box Background Color", "mk_framework"),
            "param_name"  => "bg_color",
            "value"       => "",
            "description" => __("", "mk_framework"),
        ),
        array(
            "type"        => "upload",
            "heading"     => __("Background Image", "mk_framework"),
            "param_name"  => "bg_image",
            "value"       => "",
            "description" => __("", "mk_framework"),
        ),
        array(
            "type"        => "dropdown",
            "heading"     => __("Background Attachment", "mk_framework"),
            "param_name"  => "attachment",
            "width"       => 150,
            "value"       => array(
                __('Scroll', "mk_framework") => "scroll",
                __('Fixed', "mk_framework")  => "fixed",
            ),
            "description" => __("The background-attachment property sets whether a background image is fixed or scrolls with the rest of the page. <a href='http://www.w3schools.com/CSSref/pr_background-attachment.asp'>Read More</a>", "mk_framework"),
        ),
        array(
            "type"        => "dropdown",
            "heading"     => __("Background Position", "mk_framework"),
            "param_name"  => "bg_position",
            "width"       => 300,
            "value"       => array(
                __('Left Top', "mk_framework")      => "left top",
                __('Center Top', "mk_framework")    => "center top",
                __('Right Top', "mk_framework")     => "right top",
                __('Left Center', "mk_framework")   => "left center",
                __('Center Center', "mk_framework") => "center center",
                __('Right Center', "mk_framework")  => "right center",
                __('Left Bottom', "mk_framework")   => "left bottom",
                __('Center Bottom', "mk_framework") => "center bottom",
                __('Right Bottom', "mk_framework")  => "right bottom",
            ),
            "description" => __("First value defines horizontal position and second vertical positioning.", "mk_framework"),
        ),
        array(
            "type"        => "toggle",
            "heading"     => __('Cover whole background', 'mk_framework'),
            "description" => __("Scale the background image to be as large as possible so that the background area is completely covered by the background image. Some parts of the background image may not be in view within the background positioning area.", "mk_framework"),
            "param_name"  => "bg_stretch",
            "value"       => "false",
        ),
        array(
            "heading"     => __("Slide Direction", 'mk_framework'),
            "description" => __("", 'mk_framework'),
            "param_name"  => "slide_direction",
            "value"       => array(
                __("Horizontal", 'mk_framework') => "horizontal",
                __("Vertical", 'mk_framework')   => "vertical",
            ),
            "dependency"  => array(
                'element' => "effect",
                'value'   => array(
                    'slide',
                ),
            ),
            "type"        => "dropdown",
        ),

        array(
            "type"        => "range",
            "heading"     => __("Animation Speed", "mk_framework"),
            "param_name"  => "animation_speed",
            "value"       => "700",
            "min"         => "100",
            "max"         => "3000",
            "step"        => "1",
            "unit"        => 'ms',
            "description" => __("", "mk_framework"),
        ),
        array(
            "type"        => "range",
            "heading"     => __("Slideshow Speed", "mk_framework"),
            "param_name"  => "slideshow_speed",
            "value"       => "7000",
            "min"         => "1000",
            "max"         => "20000",
            "step"        => "1",
            "unit"        => 'ms',
            "description" => __("", "mk_framework"),
        ),
        array(
            "type"        => "range",
            "heading"     => __("Padding", "mk_framework"),
            "param_name"  => "padding",
            "value"       => "0",
            "min"         => "0",
            "max"         => "200",
            "step"        => "1",
            "unit"        => 'px',
            "description" => __("", "mk_framework"),
        ),

        array(
            "type"        => "toggle",
            "heading"     => __("Direction Nav", "mk_framework"),
            "param_name"  => "direction_nav",
            "value"       => "true",
            "description" => __("", "mk_framework"),
        ),
        array(
            "type"        => "textfield",
            "heading"     => __("Extra class name", "mk_framework"),
            "param_name"  => "el_class",
            "value"       => "",
            "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in Custom CSS Shortcode or Masterkey Custom CSS option.", "mk_framework"),
        ),
    ),
    "js_view"         => 'VcColumnView',
));